# Welcome to glsl-basic

[![License: MIT](https://img.shields.io/badge/License-MIT-yellow.svg)](https://opensource.org/licenses/MIT)



# Prerequisites

Building glsl-basic requires the following software installed:

* A C++11-compliant compiler
* CMake `>= 3.9`
* GLFW
* The testing framework [Catch2](https://github.com/catchorg/Catch2) for building the test suite

# Building glsl-basic

The following sequence of commands builds glsl-basic.
It assumes that your current working directory is the top-level directory
of the freshly cloned repository:

```
mkdir build
cd build
cmake -DCMAKE_BUILD_TYPE=Release ..
cmake --build .
```

The build process can be customized with the following CMake variables,
which can be set by adding `-D<var>={ON, OFF}` to the `cmake` call:

* `BUILD_TESTING`: Enable building of the test suite (default: `ON`)



# Testing glsl-basic

When built according to the above explanation (with `-DBUILD_TESTING=ON`),
the C++ test suite of `glsl-basic` can be run using
`ctest` from the build directory:

```
cd build
ctest
```


# Documentation

glsl-basic *should* provide a documentation.
